Skip to main content
`Ctrl`+`K`

# DMPlexOrient

Give a consistent orientation to the input mesh

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexOrient(DM dm)

## Input Parameter

- dm - The `DM`

## Note

The orientation data for the `DM` are change in-place.

This routine will fail for non-orientable surfaces, such as the Moebius strip.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMCreate()`

## Level

advanced

## Location

src/dm/impls/plex/plexorient.c

## Examples

src/tao/tutorials/ex3.c

## Implementations

DMPlexOrient_Serial() in src/dm/impls/plex/plexorient.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages